id: pinterest-phish

info:
  name: pinterest phishing Detection
  author: rxerium
  severity: info
  description: |
    A pinterest phishing website was detected
  reference:
    - https://pinterest.com
  metadata:
    max-request: 1
  tags: phishing,pinterest,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Discover recipes, home ideas, style inspiration and other ideas to try'

      - type: word
        words:
          - 'Pinterest'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"pinterest.com")'
# digest: 490a0046304402200c3b0ae8842f92e9d1029d371d75540f993eb81727d2ba675d8e71aaf22674fb0220313a04731388b2dd4b8477de134292b372599239de1502ab73fd11598fe89f7f:922c64590222798bb761d5b6d8e72950